<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/drawer_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true">

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.google.android.material.appbar.AppBarLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:theme="@style/AppTheme.AppBarOverlay">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?android:attr/actionBarSize"
                android:background="#ffffff"
                app:contentInsetLeft="0dp"
                app:contentInsetStart="0dp"
                app:popupTheme="@style/AppTheme.PopupOverlay">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/headerTitle"
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:textAllCaps="false"
                        android:singleLine="true"
                        android:ellipsize="end"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:textStyle="bold"
                        android:text="@string/app_name"
                        android:textColor="@color/bg_color"
                        android:textSize="@dimen/textSizeAverage" />

                    <FrameLayout
                        android:id="@+id/notificationButton"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <ImageButton
                            android:layout_width="@dimen/buttonHeight"
                            android:layout_height="wrap_content"
                            android:background="@android:color/transparent"
                            android:clickable="false"
                            android:contentDescription="@string/app_name"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            android:padding="10dp"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/notification_icon" />

                        <com.ttiglobal.inttilectgpchat.util.NotificationBadge
                            android:id="@+id/badge"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="right|top"
                            android:layout_margin="@dimen/seekbarsize_small"
                            android:clickable="false"
                            android:focusable="false"
                            android:focusableInTouchMode="false"
                            app:nbMaxTextLength="2"
                            app:nbTextSize="@dimen/textSizeToSmall" />
                    </FrameLayout>

                    <ImageButton
                        android:id="@+id/rightMenu"
                        android:layout_width="@dimen/buttonHeight"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:contentDescription="@string/app_name"
                        android:padding="12dp"
                        android:scaleType="fitCenter"
                        android:src="@mipmap/sync_icon" />
                </LinearLayout>
            </androidx.appcompat.widget.Toolbar>

        </com.google.android.material.appbar.AppBarLayout>

        <com.ttiglobal.inttilectgpchat.util.CustomViewPager
            android:id="@+id/viewPager"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior" />

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/fabBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_gravity="bottom|right"
            android:layout_margin="16dp"
            android:src="@mipmap/ic_bot"
            android:background="@drawable/fab_background"
            android:backgroundTint="@color/white"
            app:fabSize="normal"
            app:maxImageSize="@dimen/_60sdp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_gravity="start"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <com.google.android.material.navigation.NavigationView
            android:id="@+id/nav_view"
            android:layout_width="match_parent"
            android:layout_height="0dip"
            android:layout_weight="1"
            android:background="#02354d"
            app:headerLayout="@layout/nav_header_main"
            app:itemBackground="@drawable/navigation_background_color"
            app:itemIconTint="@drawable/navigation_icon_color"
            app:itemTextAppearance="@dimen/textSize"
            app:itemTextColor="@drawable/navigation_text_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:layout_gravity="bottom"
            android:background="#fff"
            android:clickable="true"
            android:focusable="true"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/layout1"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="0.3"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="@dimen/buttonHeightNormal"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:src="@mipmap/settings" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="Settings"
                    android:textColor="#02354d"
                    android:textSize="@dimen/seekbarsize" />

            </LinearLayout>

            <TextView
                android:layout_width="1dip"
                android:layout_height="match_parent"
                android:layout_marginBottom="@dimen/textSizeSmall"
                android:layout_marginTop="@dimen/textSizeSmall"
                android:background="#02354d"
                android:gravity="center" />

            <LinearLayout
                android:id="@+id/layout2"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="0.4"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="@dimen/buttonHeightNormal"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:src="@mipmap/change_password" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="Change Password"
                    android:textColor="#02354d"
                    android:textSize="@dimen/seekbarsize" />

            </LinearLayout>

            <TextView
                android:layout_width="1dip"
                android:layout_height="match_parent"
                android:layout_marginBottom="@dimen/textSizeSmall"
                android:layout_marginTop="@dimen/textSizeSmall"
                android:background="#02354d"
                android:gravity="center" />

            <LinearLayout
                android:id="@+id/layout3"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="0.3"
                android:gravity="center"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="@dimen/buttonHeightNormal"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:padding="2dp"
                    android:src="@mipmap/logout" />


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="Logout"
                    android:textColor="#02354d"
                    android:textSize="@dimen/seekbarsize" />

            </LinearLayout>

        </LinearLayout>
    </LinearLayout>

</androidx.drawerlayout.widget.DrawerLayout>